# Uses of Interface
org.springframework.http.codec.ClientCodecConfigurer.ClientDefaultCodecs

Packages that use ClientCodecConfigurer.ClientDefaultCodecs
Package
Description
org.springframework.http.codec
Provides implementations of `Encoder` and `Decoder` for web use.
org.springframework.http.codec.support
Provides implementations of `ClientCodecConfigurer` and `ServerCodecConfigurer` based on the converter implementations from `org.springframework.http.codec.json` and co.

## Uses of ClientCodecConfigurer.ClientDefaultCodecs in org.springframework.http.codec

Methods in org.springframework.http.codec that return ClientCodecConfigurer.ClientDefaultCodecs
Modifier and Type
Method
Description
`ClientCodecConfigurer.ClientDefaultCodecs`
ClientCodecConfigurer.`defaultCodecs()`
Provides a way to customize or replace HTTP message readers and writers registered by default.

## Uses of ClientCodecConfigurer.ClientDefaultCodecs in org.springframework.http.codec.support

Methods in org.springframework.http.codec.support that return ClientCodecConfigurer.ClientDefaultCodecs
Modifier and Type
Method
Description
`ClientCodecConfigurer.ClientDefaultCodecs`
DefaultClientCodecConfigurer.`defaultCodecs()`